<?php
/**
 * This is the entrypoint for the locrMAPS WordPress plugin.
 *
 * @package locrMAPS
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMaps\DDD\ValueObjects\IconOptions;

use Locr\WordPress\Plugin\LocrMaps\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This class is responsible if the icon should be set on the initial position.
 */
final class SetIconOnInitialPosition {
	public const ATTRIBUTE_KEY = 'set-icon-on-initial-position';
	public const DEFAULT_VALUE = false;
	public const OPTION_KEY    = Plugin::SLUG . '_set_icon_on_initial_position';

	/**
	 * The constructor.
	 *
	 * @param bool $set_icon_on_initial_position The enable integrated search.
	 */
	public function __construct( private bool $set_icon_on_initial_position = self::DEFAULT_VALUE ) {
	}

	/**
	 * Gets the raw value.
	 */
	public function get_value(): bool {
		return $this->set_icon_on_initial_position;
	}
}
